#!/bin/sh

chmod +x ./*.SH

mkdir -p ./BUILD

# Resources
mkdir -p ./BUILD/RES
rgbgfx --depth 1 --output ./BUILD/RES/TOMTHUMB.1BP ./RES/TOMTHUMB.PNG


# Disk Image
rgbasm --halt-without-nop --include ./SRC/ --output ./BUILD/DISK.O ./SRC/DISK.ASM
rgblink --output ./BUILD/DISK.BIN --sym ./BUILD/DISK.SYM ./BUILD/DISK.O
rgbfix --validate --pad-value 0 ./BUILD/DISK.BIN

# Kernel
rgbasm --halt-without-nop --include ./SRC/ --output ./BUILD/KERNEL.O ./SRC/KERNEL.ASM
rgblink --nopad --output ./BUILD/KERNEL.BIN --sym ./BUILD/KERNEL.SYM ./BUILD/KERNEL.O

# Make one big old nasty symbol file
rm -f ./BUILD/GBDOS.SYM
cat ./BUILD/*.SYM > ./BUILD/GBDOS.SYM

# Mount disk image
cp ./BUILD/DISK.BIN ./BUILD/GBDOS.GB
./MOUNT.SH

# Copy kernel
sudo cp ./BUILD/KERNEL.BIN ./MNT/

# Copy source files
sudo mkdir -p ./MNT/GBDOS
sudo cp -r ./RES ./MNT/GBDOS/
sudo cp -r ./SRC ./MNT/GBDOS/
sudo cp ./*.SH ./MNT/GBDOS/
sudo cp ./*.MD ./MNT/GBDOS/
sudo cp ./*.TXT ./MNT/GBDOS/

# Unmount disk image
./UNMOUNT.SH
rgbfix --fix-spec g --overwrite ./BUILD/GBDOS.GB

# Validate filesystem
sudo fsck.fat -F 1 ./BUILD/GBDOS.GB
