# GBDOS

GBDOS is an operating system for the Nintendo Game Boy, Super Game Boy, and Game Boy Color. The ROM file is a FAT-formatted disk image that can be mounted on a host computer in order to make changes to the system.

Currently the project consists of a bootloader and a demo kernel.

![Screenshot](RES/SCRNSHOT.PNG)

## Prerequisites:

* A Unix-like system where you have privilege to mount a disk image
* [RGBDS](https://rgbds.gbdev.io)

## Building

A handful of scripts are included in the root directory of the repository. These are to simplify the build process. They are written for Unix shell, but in theory they should be easy to port to another system.

* `BUILD.SH` will build the project in its entirety. The final Game Boy ROM can be found in `BUILD\GBDOS.GB`.
* `RUN.SH` can be used run the resulting ROM in an emulator. Feel free to edit this script to run your preferred emulator.
* `CLEAN.SH` removes all the generated files. This is useful to make sure everything is being rebuilt, and to prepare the sources for release.
* `MOUNT.SH` is used to mount the ROM as a disk image.
* `UNMOUNT.SH` is used to unmount the ROM as a disk image.

## Attribution

Kernel font based on [*Tom Thumb*](https://robey.lag.net/2010/01/23/tiny-monospace-font.html) by Robey Pointer and Brian Swetland. Licensed under [CC0](https://creativecommons.org/publicdomain/zero/1.0/).

## License

2023 Brayden Morris

I request that you give credit and attribution, but you are under no obligation to do so.

This software is released under the Unlicence. For more information, please refer to [http://unlicense.org/](http://unlicense.org/)
