/*
 * CONFIG.INC
 * ==========
 *
 * This file is for the configuration of GBDOS. It contains the
 * settings for different building and deployment needs.
 *
 * This file is included by CONSTANT.INC. Do not include anywhere
 * else.
 */

/*
 * ROM Size
 * --------
 * This is how large the ROM is on the cartridge. Actual ROM size can
 * be calculated with the following fomula:
 * 32 KiB * (1 << [value])
 *
 * Valid options:
 * Value | ROM Size (human / bytes) | Number of ROM Banks
 * ------+--------------------------+--------------------
 *     0 |   32 KiB /    32,768 B   |   2 (no banking)
 *     1 |   64 KiB /    65,536 B   |   4
 *     2 |  128 KiB /   130,072 B   |   8
 *     3 |  256 KiB /   262,144 B   |  16
 *     4 |  512 KiB /   524,288 B   |  32
 *     5 |    1 MiB / 1,048,576 B   |  64
 *     6 |    2 MiB / 2,097,152 B   | 128
 *     7 |    4 MiB / 4,194,304 B   | 256
 *     8 |    8 MiB / 8,338,608 B   | 512
 */
def ROM_SIZE equ 1

/*
 * Memory Bank Controller
 * ----------------------
 * This is which memory bank controller is included in the cartridge.
 * Not all memory bank controllers are supported.
 *
 * Valid options:
 * Value | Memory Bank Controller | Max ROM Size
 * ------+------------------------+-------------
 *     0 | No MBC                 | 0
 *     3 | MBC3                   | 6
 *     5 | MBC5                   | 8
 */
def MEMORY_BANK_CONTROLLER equ 5
